package gui.run;

import javax.swing.*;
import java.awt.*;

/**
 * DocJava, Inc. http://www.docjava.com
 * Programmer: dlyon Date: Mar 31, 2004 Time:
 * 7:36:31 PM
 */
public class RunLabelPasswordFieldPanel extends JPanel {
    public RunLabelPasswordFieldPanel(RunPasswordField tf) {
        setLayout(new BoxLayout(this,
                BoxLayout.Y_AXIS));
        //setLayout(new javax.swing.ScrollPaneLayout());
        add(tf, BorderLayout.CENTER);
        add(getLabel(tf), BorderLayout.WEST);
    }

    private RunLabel getLabel(RunPasswordField tf) {
        RunLabel rl = new RunLabel(new String(tf.getPassword()));
        tf.setText("");
        return rl;
    }

    public static void main(String args[]) {
        gui.ClosableJFrame cf = new gui.ClosableJFrame("RunPasswordField");
        Container c = cf.getContentPane();
        c.add(new RunLabelPasswordFieldPanel(new RunPasswordField("[Name") {
            public void run() {
                System.out.println(getPassword());
            }
        }));
        c.add(new RunLabelPasswordFieldPanel(new RunPasswordField("[House/Street") {
            public void run() {
                System.out.println(getPassword());
            }
        }));
        RunLabelPasswordFieldPanel runLabelPasswordFieldPanel
                = new RunLabelPasswordFieldPanel(new RunPasswordField("[City") {
            public void run() {
                System.out.println(getPassword());
            }
        });
        c.add(runLabelPasswordFieldPanel);
        runLabelPasswordFieldPanel.invalidate();
        c.setLayout(new GridLayout(4, 0));
        c.invalidate();
        cf.setSize(200, 200);
        cf.setVisible(true);
    }
}
