/*
 * Copyright (c) 2005 DocJava, Inc. All Rights Reserved.
 */
package net.rmi.rjs.pk.LusCs;

import java.io.*;

/**
 * Copyright DocJava, inc. User: lyon
 * <p/>
 * Date: May 1, 2005
 * <p/>
 * Time: 2:56:45 PM
 */
public class BenchMarkBean  implements Serializable{
    private double mflops;

    public BenchMarkBean(){

    }

    public  double getMflops() {
        return mflops;
    }

    public void setMflops(double mflops) {
        this.mflops = mflops;
    }
    public String toString(){
        return mflops+"";
    }

    /**
     * saves the properties to the Preferences of the userRoot
     */
    public byte[] getBytes() {
        try {

            ByteArrayOutputStream baos = new
                    ByteArrayOutputStream();
            ObjectOutputStream oos = new
                    ObjectOutputStream(baos);
            oos.writeObject(this);
            baos.close();
            return baos.toByteArray();
        } catch (IOException e) {
        }
        return null;
    }


    public static BenchMarkBean create(byte b[]) {
        try {

            if (b == null)
                return new BenchMarkBean();
            ByteArrayInputStream bais = new
                    ByteArrayInputStream(b);
            ObjectInputStream ois = new
                    ObjectInputStream(bais);
            Object o = ois.readObject();
            bais.close();
            return (BenchMarkBean) o;
        } catch (IOException e) {
            //e.printStackTrace();
        } catch (ClassNotFoundException e) {
            // e.printStackTrace();
        }
        return new BenchMarkBean();
    }


}
